Index: palm/trunk/SOURCE/indoor_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/indoor_model_mod.f90	(revision 4645)
+++ palm/trunk/SOURCE/indoor_model_mod.f90	(revision 4646)
@@ -1486,47 +1506,52 @@
 !--          Quantities needed for im_calc_temperatures
              i = surf_usm_v(l)%i(m)
-             j = surf_usm_v(l)%j(m)   
+             j = surf_usm_v(l)%j(m)
              k = surf_usm_v(l)%k(m)
              near_facade_temperature = surf_usm_v(l)%pt_10cm(m)
-             indoor_wall_window_temperature =                                                       &
-                  surf_usm_v(l)%frac(m,ind_veg_wall) * t_wall_v(l)%t(nzt_wall,m)                    &
-                + surf_usm_v(l)%frac(m,ind_wat_win)  * t_window_v(l)%t(nzt_wall,m)
-!
-!--          Solar thermal gains. If net_sw_in larger than sun-protection 
-!--          threshold parameter (params_solar_protection), sun protection will 
+             indoor_wall_window_temperature =                                                      &
+                                    surf_usm_v(l)%frac(m,ind_veg_wall) * t_wall_v(l)%t(nzt_wall,m) &
+                                  + surf_usm_v(l)%frac(m,ind_wat_win)  * t_window_v(l)%t(nzt_wall,m)
+!
+!--          Solar thermal gains. If net_sw_in larger than sun-protection
+!--          threshold parameter (params_solar_protection), sun protection will
 !--          be activated
-             IF ( net_sw_in <= params_solar_protection )  THEN 
+             IF ( net_sw_in <= params_solar_protection )  THEN
                 solar_protection_off = 1
-                solar_protection_on  = 0 
-             ELSE 
+                solar_protection_on  = 0
+             ELSE
                 solar_protection_off = 0
-                solar_protection_on  = 1 
+                solar_protection_on  = 1
              ENDIF
 !
-!--          Calculation of total heat gains from net_sw_in through windows [W] in respect on automatic sun protection
+!--          Calculation of total heat gains from net_sw_in through windows [W] in respect on
+!--          automatic sun protection.
 !--          DIN 4108 - 2 chap.8
-             phi_sol = (   window_area_per_facade * net_sw_in * solar_protection_off                             &
-                         + window_area_per_facade * net_sw_in * buildings(nb)%f_c_win * solar_protection_on )    &
+             phi_sol = (   window_area_per_facade * net_sw_in * solar_protection_off               &
+                         + window_area_per_facade * net_sw_in * buildings(nb)%f_c_win *            &
+                           solar_protection_on )                                                   &
                        * buildings(nb)%g_value_win * ( 1.0_wp - params_f_f ) * params_f_w
              q_sol = phi_sol
 !
-!--          Calculation of the mass specific thermal load for internal and external heatsources
+!--          Calculation of the mass specific thermal load for internal and external heatsources.
              phi_m   = (a_m / total_area) * ( phi_ia + phi_sol )          !< [W] Eq. (C.2) with phi_ia=0,5*phi_int
              q_c_m = phi_m
 !
-!--          Calculation mass specific thermal load implied non thermal mass 
-             phi_st  =   ( 1.0_wp - ( a_m / total_area ) - ( h_t_es / ( 9.1_wp * total_area ) ) )                &
-                       * ( phi_ia + phi_sol )                                                                       !< [W] Eq. (C.3) with phi_ia=0,5*phi_int
-             q_c_st = phi_st 
-!
-!--          Calculations for deriving indoor temperature and heat flux into the wall
-!--          Step 1: Indoor temperature without heating and cooling
+!--          Calculation mass specific thermal load implied non thermal mass.
+             phi_st  =   ( 1.0_wp - ( a_m / total_area ) - ( h_t_es / ( 9.1_wp * total_area ) ) )  &
+                       * ( phi_ia + phi_sol )                                                       !< [W] Eq. (C.3) with
+                                                                                                    !< phi_ia=0,5*phi_int
+             q_c_st = phi_st
+!
+!--          Calculations for deriving indoor temperature and heat flux into the wall.
+!--          Step 1: indoor temperature without heating and cooling.
 !--          section C.4.1 Picture C.2 zone 3)
              phi_hc_nd = 0.0_wp
-             CALL im_calc_temperatures ( i, j, k, indoor_wall_window_temperature, &
+             CALL im_calc_temperatures ( i, j, k, indoor_wall_window_temperature,                  &
                                          near_facade_temperature, phi_hc_nd )
 !
-!--          If air temperature between border temperatures of heating and cooling, assign output variable, then ready  
-             IF ( buildings(nb)%theta_int_h_set <= theta_air  .AND.  theta_air <= buildings(nb)%theta_int_c_set )  THEN
+!--          If air temperature between border temperatures of heating and cooling, assign output
+!--          variable, then ready.
+             IF ( buildings(nb)%theta_int_h_set <= theta_air  .AND.                                &
+                  theta_air <= buildings(nb)%theta_int_c_set )  THEN
                 phi_hc_nd_ac = 0.0_wp
                 phi_hc_nd    = phi_hc_nd_ac
@@ -1543,6 +1568,6 @@
                 IF ( theta_air_0 > buildings(nb)%theta_int_c_set )  THEN
                    theta_air_set = buildings(nb)%theta_int_c_set
-                ELSE 
-                   theta_air_set = buildings(nb)%theta_int_h_set 
+                ELSE
+                   theta_air_set = buildings(nb)%theta_int_h_set
                 ENDIF
 
@@ -1550,36 +1575,38 @@
                 phi_hc_nd_10 = 10.0_wp * floor_area_per_facade
                 phi_hc_nd    = phi_hc_nd_10
-       
-                CALL im_calc_temperatures ( i, j, k, indoor_wall_window_temperature, &
-                                            near_facade_temperature, phi_hc_nd )
+
+                CALL  im_calc_temperatures ( i, j, k, indoor_wall_window_temperature,              &
+                                             near_facade_temperature, phi_hc_nd )
 
                 theta_air_10 = theta_air !< Note the temperature with 10 W/m2 of heating
 
-                phi_hc_nd_un = phi_hc_nd_10 * ( theta_air_set - theta_air_0 )  &
+                phi_hc_nd_un = phi_hc_nd_10 * ( theta_air_set - theta_air_0 )                      &
                                             / ( theta_air_10  - theta_air_0 )            !< Eq. (C.13)
 !
-!--             Step 3: With temperature ratio to determine the heating or cooling capacity    
-!--             If necessary, limit the power to maximum power
+!--             Step 3: with temperature ratio to determine the heating or cooling capacity
+!--             If necessary, limit the power to maximum power.
 !--             section C.4.1 Picture C.2 zone 2) and 4)
                 buildings(nb)%phi_c_max = buildings(nb)%q_c_max * floor_area_per_facade
                 buildings(nb)%phi_h_max = buildings(nb)%q_h_max * floor_area_per_facade
-                IF ( buildings(nb)%phi_c_max < phi_hc_nd_un  .AND.  phi_hc_nd_un < buildings(nb)%phi_h_max )  THEN
+                IF ( buildings(nb)%phi_c_max < phi_hc_nd_un  .AND.                                 &
+                     phi_hc_nd_un < buildings(nb)%phi_h_max )  THEN
                    phi_hc_nd_ac = phi_hc_nd_un
                    phi_hc_nd = phi_hc_nd_un
                 ELSE
 !
-!--             Step 4: Inner temperature with maximum heating (phi_hc_nd_un positive) or cooling (phi_hc_nd_un negative)
+!--             Step 4: inner temperature with maximum heating (phi_hc_nd_un positive) or cooling
+!--                     (phi_hc_nd_un negative)
 !--             section C.4.1 Picture C.2 zone 1) and 5)
                    IF ( phi_hc_nd_un > 0.0_wp )  THEN
                       phi_hc_nd_ac = buildings(nb)%phi_h_max                                         !< Limit heating
-                   ELSE 
+                   ELSE
                       phi_hc_nd_ac = buildings(nb)%phi_c_max                                         !< Limit cooling
                    ENDIF
                 ENDIF
-                phi_hc_nd = phi_hc_nd_ac  
+                phi_hc_nd = phi_hc_nd_ac
 !
 !--             Calculate the temperature with phi_hc_nd_ac (new)
-                CALL im_calc_temperatures ( i, j, k, indoor_wall_window_temperature, &
-                                            near_facade_temperature, phi_hc_nd )
+                CALL  im_calc_temperatures ( i, j, k, indoor_wall_window_temperature, &
+                                             near_facade_temperature, phi_hc_nd )
                 theta_air_ac = theta_air
              ENDIF
@@ -1587,17 +1614,16 @@
 !--          Update theta_m_t_prev
              theta_m_t_prev = theta_m_t
-             
+
              q_vent = h_v * ( theta_air - near_facade_temperature )
 !
-!--          Calculate the operating temperature with weighted mean of temperature of air and mean
-!--          Will be used for thermal comfort calculations 
+!--          Calculate the operating temperature with weighted mean of temperature of air and mean.
+!--          Will be used for thermal comfort calculations.
              theta_op     = 0.3_wp * theta_air_ac + 0.7_wp * theta_s
 !              surf_usm_v(l)%t_indoor(m) = theta_op                  !< not integrated yet
 !
-!--          Heat flux into the wall. Value needed in urban_surface_mod to 
+!--          Heat flux into the wall. Value needed in urban_surface_mod to
 !--          calculate heat transfer through wall layers towards the facade
-             q_wall_win = h_t_ms * ( theta_s - theta_m )                       &
-                                    / (   facade_element_area                  &
-                                        - window_area_per_facade )
+             q_wall_win = h_t_ms * ( theta_s - theta_m )                                           &
+                                    / ( facade_element_area - window_area_per_facade )
              q_trans = q_wall_win * facade_element_area
 !
@@ -1606,23 +1632,22 @@
              surf_usm_v(l)%iwghf_eb_window(m) = q_wall_win
 !
-!--          Sum up operational indoor temperature per kk-level. Further below,
-!--          this temperature is reduced by MPI to one temperature per kk-level
-!--          and building (processor overlapping)
+!--          Sum up operational indoor temperature per kk-level. Further below, this temperature is
+!--          reduced by MPI to one temperature per kk-level and building (processor overlapping).
              buildings(nb)%t_in_l(kk) = buildings(nb)%t_in_l(kk) + theta_op
 !
-!--          Calculation of waste heat
-!--          Anthropogenic heat output
-             IF ( phi_hc_nd_ac > 0.0_wp )  THEN 
+!--          Calculation of waste heat.
+!--          Anthropogenic heat output.
+             IF ( phi_hc_nd_ac > 0.0_wp )  THEN
                 heating_on = 1
                 cooling_on = 0
-             ELSE 
+             ELSE
                 heating_on = 0
                 cooling_on = -1
              ENDIF
 
-             q_waste_heat = ( phi_hc_nd * (                                    &
-                    buildings(nb)%params_waste_heat_h * heating_on +           &
-                    buildings(nb)%params_waste_heat_c * cooling_on )           &
-                            ) / facade_element_area !< [W/m2] , observe the directional convention in PALM!
+             q_waste_heat = ( phi_hc_nd * ( buildings(nb)%params_waste_heat_h * heating_on +       &
+                                            buildings(nb)%params_waste_heat_c * cooling_on )       &
+                                                    ) / facade_element_area  !< [W/m2] , observe the directional convention in
+                                                                             !< PALM!
              surf_usm_v(l)%waste_heat(m) = q_waste_heat
           ENDDO !< Vertical surfaces loop
@@ -1631,10 +1656,10 @@
 
 !
-!-- Determine the mean building temperature. 
+!-- Determine the mean building temperature.
     DO  nb = 1, num_build
 !
-!--    Allocate dummy array used for summing-up facade elements. 
-!--    Please note, dummy arguments are necessary as building-date type
-!--    arrays are not necessarily allocated on all PEs.
+!--    Allocate dummy array used for summing-up facade elements.
+!--    Please note, dummy arguments are necessary as building-date type arrays are not necessarily
+!--    allocated on all PEs.
        ALLOCATE( t_in_l_send(buildings(nb)%kb_min:buildings(nb)%kb_max) )
        ALLOCATE( t_in_recv(buildings(nb)%kb_min:buildings(nb)%kb_max) )
@@ -1647,47 +1672,42 @@
 
 
-#if defined( __parallel ) 
-       CALL MPI_ALLREDUCE( t_in_l_send,                                        &
-                           t_in_recv,                                          &
-                           buildings(nb)%kb_max - buildings(nb)%kb_min + 1,    &
-                           MPI_REAL,                                           &
-                           MPI_SUM,                                            &
-                           comm2d,                                             &
+#if defined( __parallel )
+       CALL MPI_ALLREDUCE( t_in_l_send,                                                            &
+                           t_in_recv,                                                              &
+                           buildings(nb)%kb_max - buildings(nb)%kb_min + 1,                        &
+                           MPI_REAL,                                                               &
+                           MPI_SUM,                                                                &
+                           comm2d,                                                                 &
                            ierr )
 
-       IF ( ALLOCATED( buildings(nb)%t_in ) )                                  &
-           buildings(nb)%t_in = t_in_recv
+       IF ( ALLOCATED( buildings(nb)%t_in ) )  buildings(nb)%t_in = t_in_recv
 #else
-       IF ( ALLOCATED( buildings(nb)%t_in ) )                                  &
-          buildings(nb)%t_in = buildings(nb)%t_in_l
+       IF ( ALLOCATED( buildings(nb)%t_in ) )  buildings(nb)%t_in = buildings(nb)%t_in_l
 #endif
 
        IF ( ALLOCATED( buildings(nb)%t_in ) )  THEN
 !
-!--       Average indoor temperature. Note, in case a building is completely
-!--       surrounded by higher buildings, it may have no facade elements
-!--       at some height levels, which will lead to a divide by zero.
+!--       Average indoor temperature. Note, in case a building is completely surrounded by higher
+!--       buildings, it may have no facade elements at some height levels, which will lead to a
+!--       division by zero.
           DO  k = buildings(nb)%kb_min, buildings(nb)%kb_max
-             IF ( buildings(nb)%num_facade_h(k) +                              &
-                  buildings(nb)%num_facade_v(k) > 0 )  THEN
-                buildings(nb)%t_in(k) = buildings(nb)%t_in(k) /                &
-                               REAL( buildings(nb)%num_facade_h(k) +           &
-                                     buildings(nb)%num_facade_v(k), KIND = wp )
+             IF ( buildings(nb)%num_facade_h(k) + buildings(nb)%num_facade_v(k) > 0 )  THEN
+                buildings(nb)%t_in(k) = buildings(nb)%t_in(k) /                                    &
+                                        REAL( buildings(nb)%num_facade_h(k) +                      &
+                                              buildings(nb)%num_facade_v(k), KIND = wp )
              ENDIF
           ENDDO
 !
-!--       If indoor temperature is not defined because of missing facade 
-!--       elements, the values from the above-lying level will be taken.
-!--       At least at the top of the buildings facades are defined, so that
-!--       at least there an indoor temperature is defined. This information
-!--       will propagate downwards the building.
+!--       If indoor temperature is not defined because of missing facade elements, the values from
+!--       the above-lying level will be taken.
+!--       At least at the top of the buildings facades are defined, so that at least there an indoor
+!--       temperature is defined. This information will propagate downwards the building.
           DO  k = buildings(nb)%kb_max-1, buildings(nb)%kb_min, -1
-             IF ( buildings(nb)%num_facade_h(k) +                              &
-                  buildings(nb)%num_facade_v(k) <= 0 )  THEN
+             IF ( buildings(nb)%num_facade_h(k) + buildings(nb)%num_facade_v(k) <= 0 )  THEN
                 buildings(nb)%t_in(k) = buildings(nb)%t_in(k+1)
              ENDIF
           ENDDO
        ENDIF
-       
+
 
 !
@@ -1697,78 +1717,80 @@
 
     ENDDO
-    
+
  END SUBROUTINE im_main_heatcool
 
-!-----------------------------------------------------------------------------!
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 !-------------
 !> Check data output for plant canopy model
-!-----------------------------------------------------------------------------! 
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE im_check_data_output( var, unit )
 
     CHARACTER (LEN=*) ::  unit   !<
     CHARACTER (LEN=*) ::  var    !<
-        
+
     SELECT CASE ( TRIM( var ) )
-    
-    
+
+
         CASE ( 'im_hf_roof')
            unit = 'W m-2'
-        
+
         CASE ( 'im_hf_wall_win' )
            unit = 'W m-2'
-           
+
         CASE ( 'im_hf_wall_win_waste' )
            unit = 'W m-2'
-           
+
         CASE ( 'im_hf_roof_waste' )
            unit = 'W m-2'
-        
+
         CASE ( 'im_t_indoor_mean' )
            unit = 'K'
-           
+
         CASE ( 'im_t_indoor_roof' )
            unit = 'K'
-           
+
         CASE ( 'im_t_indoor_wall_win' )
            unit = 'K'
-        
+
         CASE DEFAULT
            unit = 'illegal'
-           
+
     END SELECT
-    
+
  END SUBROUTINE
 
 
-!-----------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 !-------------
 !> Check parameters routine for plant canopy model
-!-----------------------------------------------------------------------------! 
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE im_check_parameters
 
 !   USE control_parameters,
 !       ONLY: message_string
-   
+
  END SUBROUTINE im_check_parameters
 
-!-----------------------------------------------------------------------------!
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 !-------------
 !> Subroutine defining appropriate grid for netcdf variables.
 !> It is called from subroutine netcdf.
-!-----------------------------------------------------------------------------! 
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE im_define_netcdf_grid( var, found, grid_x, grid_y, grid_z )
 
-   
-   CHARACTER (LEN=*), INTENT(IN)  ::  var
-   LOGICAL, INTENT(OUT)           ::  found
-   CHARACTER (LEN=*), INTENT(OUT) ::  grid_x
-   CHARACTER (LEN=*), INTENT(OUT) ::  grid_y
-   CHARACTER (LEN=*), INTENT(OUT) ::  grid_z
-   
-   found   = .TRUE.
-   
+    CHARACTER (LEN=*), INTENT(OUT) ::  grid_x
+    CHARACTER (LEN=*), INTENT(OUT) ::  grid_y
+    CHARACTER (LEN=*), INTENT(OUT) ::  grid_z
+    CHARACTER (LEN=*), INTENT(IN)  ::  var
+
+    LOGICAL, INTENT(OUT)           ::  found
+
+
+    found   = .TRUE.
 !
 !-- Check for the grid
@@ -1790,5 +1812,5 @@
           grid_y = 'y'
           grid_z = 'zw'
-          
+
        CASE DEFAULT
           found  = .FALSE.
@@ -1797,14 +1819,14 @@
           grid_z = 'none'
     END SELECT
-    
+
  END SUBROUTINE im_define_netcdf_grid
 
-!------------------------------------------------------------------------------!
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Subroutine defining 3D output variables
-!------------------------------------------------------------------------------!
- SUBROUTINE im_data_output_3d( av, variable, found, local_pf, fill_value,      &
-                               nzb_do, nzt_do )
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE im_data_output_3d( av, variable, found, local_pf, fill_value, nzb_do, nzt_do )
 
     USE indices
@@ -1812,30 +1834,30 @@
     USE kinds
 
-    CHARACTER (LEN=*) ::  variable !< 
-
-    INTEGER(iwp) ::  av    !< 
-    INTEGER(iwp) ::  i     !< 
-    INTEGER(iwp) ::  j     !< 
-    INTEGER(iwp) ::  k     !< 
+    CHARACTER (LEN=*) ::  variable !<
+
+    INTEGER(iwp) ::  av    !<
+    INTEGER(iwp) ::  i     !<
+    INTEGER(iwp) ::  j     !<
+    INTEGER(iwp) ::  k     !<
     INTEGER(iwp) ::  l     !<
-    INTEGER(iwp) ::  m     !< 
-    INTEGER(iwp) ::  nb    !< index of the building in the building data structure 
+    INTEGER(iwp) ::  m     !<
+    INTEGER(iwp) ::  nb    !< index of the building in the building data structure
     INTEGER(iwp) ::  nzb_do !< lower limit of the data output (usually 0)
     INTEGER(iwp) ::  nzt_do !< vertical upper limit of the data output (usually nz_do3d)
-    
-    LOGICAL      ::  found !< 
+
+    LOGICAL      ::  found !<
 
     REAL(wp), INTENT(IN) ::  fill_value !< value for the _FillValue attribute
 
-    REAL(sp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do) ::  local_pf !< 
-    
+    REAL(sp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do) ::  local_pf !<
+
     local_pf = fill_value
-    
+
     found = .TRUE.
-    
+
     SELECT CASE ( TRIM( variable ) )
 !
-!--     Output of indoor temperature. All grid points within the building are
-!--     filled with values, while atmospheric grid points are set to _FillValues.
+!--     Output of indoor temperature. All grid points within the building are filled with values,
+!--     while atmospheric grid points are set to _FillValues.
         CASE ( 'im_t_indoor_mean' )
            IF ( av == 0 ) THEN
@@ -1844,13 +1866,12 @@
                     IF ( building_id_f%var(j,i) /= building_id_f%fill )  THEN
 !
-!--                    Determine index of the building within the building data structure. 
-                       nb = MINLOC( ABS( buildings(:)%id - building_id_f%var(j,i) ),   &
-                                    DIM = 1 )
+!--                    Determine index of the building within the building data structure.
+                       nb = MINLOC( ABS( buildings(:)%id - building_id_f%var(j,i) ), DIM=1 )
                        IF ( buildings(nb)%on_pe )  THEN
 !
-!--                       Write mean building temperature onto output array. Please note,
-!--                       in contrast to many other loops in the output, the vertical 
-!--                       bounds are determined by the lowest and hightest vertical index
-!--                       occupied by the building. 
+!--                       Write mean building temperature onto output array. Please note, in
+!--                       contrast to many other loops in the output, the vertical bounds are
+!--                       determined by the lowest and hightest vertical index occupied by the
+!--                       building.
                           DO  k = buildings(nb)%kb_min, buildings(nb)%kb_max
                              local_pf(i,j,k) = buildings(nb)%t_in(k)
@@ -1860,8 +1881,8 @@
                  ENDDO
               ENDDO
-           ENDIF  
+           ENDIF
 
         CASE ( 'im_hf_roof' )
-           IF ( av == 0 ) THEN
+           IF ( av == 0 )  THEN
               DO  m = 1, surf_usm_h%ns
                  i = surf_usm_h%i(m) !+ surf_usm_h%ioff
@@ -1870,9 +1891,9 @@
                  local_pf(i,j,k) = surf_usm_h%iwghf_eb(m)
               ENDDO
-           ENDIF 
+           ENDIF
 
         CASE ( 'im_hf_roof_waste' )
-           IF ( av == 0 ) THEN
-              DO m = 1, surf_usm_h%ns 
+           IF ( av == 0 )  THEN
+              DO m = 1, surf_usm_h%ns
                  i = surf_usm_h%i(m) !+ surf_usm_h%ioff
                  j = surf_usm_h%j(m) !+ surf_usm_h%joff
@@ -1883,5 +1904,5 @@
 
        CASE ( 'im_hf_wall_win' )
-           IF ( av == 0 ) THEN
+           IF ( av == 0 )  THEN
               DO l = 0, 3
                  DO m = 1, surf_usm_v(l)%ns
@@ -1895,11 +1916,11 @@
 
         CASE ( 'im_hf_wall_win_waste' )
-           IF ( av == 0 ) THEN
+           IF ( av == 0 )  THEN
               DO l = 0, 3
-                 DO m = 1, surf_usm_v(l)%ns 
+                 DO m = 1, surf_usm_v(l)%ns
                     i = surf_usm_v(l)%i(m) !+ surf_usm_v(l)%ioff
                     j = surf_usm_v(l)%j(m) !+ surf_usm_v(l)%joff
                     k = surf_usm_v(l)%k(m) !+ surf_usm_v(l)%koff
-                    local_pf(i,j,k) =  surf_usm_v(l)%waste_heat(m) 
+                    local_pf(i,j,k) =  surf_usm_v(l)%waste_heat(m)
                  ENDDO
               ENDDO
@@ -1910,5 +1931,5 @@
 
 !         CASE ( 'im_t_indoor_roof' )
-!            IF ( av == 0 ) THEN
+!            IF ( av == 0 )  THEN
 !               DO  m = 1, surf_usm_h%ns
 !                   i = surf_usm_h%i(m) !+ surf_usm_h%ioff
@@ -1918,7 +1939,7 @@
 !               ENDDO
 !            ENDIF
-! 
+!
 !         CASE ( 'im_t_indoor_wall_win' )
-!            IF ( av == 0 ) THEN           
+!            IF ( av == 0 )  THEN
 !               DO l = 0, 3
 !                  DO m = 1, surf_usm_v(l)%ns
@@ -1933,16 +1954,18 @@
         CASE DEFAULT
            found = .FALSE.
-           
-    END SELECT    
-
- END SUBROUTINE im_data_output_3d          
-!------------------------------------------------------------------------------!
+
+    END SELECT
+
+ END SUBROUTINE im_data_output_3d
+
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Parin for &indoor_parameters for indoor model
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE im_parin
-    
-    USE control_parameters,                                                    &
+
+    USE control_parameters,                                                                        &
         ONLY:  indoor_model
 
@@ -1951,4 +1974,5 @@
 
     NAMELIST /indoor_parameters/  initial_indoor_temperature
+
 
 !
@@ -1956,5 +1980,5 @@
     REWIND ( 11 )
     line = ' '
-    DO   WHILE ( INDEX( line, '&indoor_parameters' ) == 0 )
+    DO  WHILE ( INDEX( line, '&indoor_parameters' ) == 0 )
        READ ( 11, '(A)', END=10 )  line
     ENDDO
@@ -1980,5 +2004,5 @@
 
  10 CONTINUE
-    
+
  END SUBROUTINE im_parin
 
